Update a user address

PUT {{baseUrl}}/api/users/:userId/addresses/:addressId

Update a specific address for a specific user. You obtain the authorization token needed to execute the request using POST /auth/login; you pass the authorization token in the request header. You identify the user and the address by specifying the user ID and address ID in the path of the request; you obtain the user ID using GET /users. You provide the information used to update the user address in the body parameter of the request - including the name and actual value for the address, whether it is the default address, and the type of delivery and content style.

Request Params

KeyDatatypeRequiredDescription
fieldsnullComma-separated, top-level field whitelist that allows the client to selectively retrieve part of the response model. If specified, extra filtering is applied, and for top-level object (if root model is an array, each array element), only the listed fields are kept in the response. For example, "id,elements" keeps only the "id" field and whole "elements" array field, omitting all other fields in the top-level response model.

Request Body

{"name"=>"Test Address", "value"=>"test3@example.com", "deliveryMode"=>"EMAIL"}

HEADERS

KeyDatatypeRequiredDescription
X-MSTR-AuthTokenstring(Required) Authorization token
Content-Typestring

RESPONSES

status: OK

{"addresses":[{"id":"5D6CB3D0364CB1A9F6229BBDA56924D2","name":"Test Address","deliveryMode":"EMAIL","deviceId":"1D2E6D168A7711D4BE8100B0D04B6F0B","value":"test3@example.com","isDefault":false},{"id":"89ECAC003543CA0BE81E2B83DFB78A09","name":"Test Address","deliveryMode":"EMAIL","deviceId":"1D2E6D168A7711D4BE8100B0D04B6F0B","value":"test1@example.com","isDefault":false},{"id":"3ABD0B5A614B5FB32743C299D0DD65AD","name":"Test Address","deliveryMode":"EMAIL","deviceId":"1D2E6D168A7711D4BE8100B0D04B6F0B","value":"test2@example.com","isDefault":false},{"id":"E617028C5B4541EE713CC9B7179EE2A0","name":"Test Address","deliveryMode":"EMAIL","deviceId":"1D2E6D168A7711D4BE8100B0D04B6F0B","value":"test@example.com","isDefault":true}]}